# mysqli_stmt::$param_count

# mysqli_stmt_param_count

(PHP 5, PHP 7)

mysqli_stmt::$param_count -- mysqli_stmt_param_count — Returns the number of parameter for the given statement

### Description

Object oriented style

int $mysqli_stmt->param_count;

Procedural style

mysqli_stmt_param_count ( mysqli_stmt `$stmt` ) : int

Returns the number of parameter markers present in the prepared statement.

### Parameters

`stmt`

  Procedural style only: A statement identifier returned by mysqli_stmt_init().

### Return Values

Returns an integer representing the number of parameters.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if ($stmt = $mysqli->prepare("SELECT Name FROM Country WHERE Name=? OR Code=?")) {
$marker = $stmt->param_count;
printf("Statement has %d markers.\n", $marker);
/* close statement */
$stmt->close();
}
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if ($stmt = mysqli_prepare($link, "SELECT Name FROM Country WHERE Name=? OR Code=?")) {
$marker = mysqli_stmt_param_count($stmt);
printf("Statement has %d markers.\n", $marker);
/* close statement */
mysqli_stmt_close($stmt);
}
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Statement has 2 markers.

### See Also

- mysqli_prepare() - Prepare an SQL statement for execution